Merge remote-tracking branch 'origin/master' into MPI
[scilab.git] / scilab / modules / xcos / Makefile.in
1 # Makefile.in generated by automake 1.11.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6 # Foundation, Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 #
19 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
20 # Copyright (C) DIGITEO - 2009-2010 - Allan CORNET <allan.cornet@scilab.org>
21 # Copyright (C) DIGITEO - 2010-2010 - ClĂ©ment DAVID <clement.david@scilab.org>
22 #
23 # This file must be used under the terms of the CeCILL.
24 # This source file is licensed as described in the file COPYING, which
25 # you should have received as part of this distribution.  The terms
26 # are also available at
27 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
28 #
29
30 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
31 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
32 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
33 #
34 # This file must be used under the terms of the CeCILL.
35 # This source file is licensed as described in the file COPYING, which
36 # you should have received as part of this distribution.  The terms
37 # are also available at
38 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
39 #
40
41 ##########
42 ### Makefile included stuff
43 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
44 ##########
45
46
47 VPATH = @srcdir@
48 am__make_dryrun = \
49   { \
50     am__dry=no; \
51     case $$MAKEFLAGS in \
52       *\\[\ \   ]*) \
53         echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
54           | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
55       *) \
56         for am__flg in $$MAKEFLAGS; do \
57           case $$am__flg in \
58             *=*|--*) ;; \
59             *n*) am__dry=yes; break;; \
60           esac; \
61         done;; \
62     esac; \
63     test $$am__dry = yes; \
64   }
65 pkgdatadir = $(datadir)/@PACKAGE@
66 pkgincludedir = $(includedir)/@PACKAGE@
67 pkglibdir = $(libdir)/@PACKAGE@
68 pkglibexecdir = $(libexecdir)/@PACKAGE@
69 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
70 install_sh_DATA = $(install_sh) -c -m 644
71 install_sh_PROGRAM = $(install_sh) -c
72 install_sh_SCRIPT = $(install_sh) -c
73 INSTALL_HEADER = $(INSTALL_DATA)
74 transform = $(program_transform_name)
75 NORMAL_INSTALL = :
76 PRE_INSTALL = :
77 POST_INSTALL = :
78 NORMAL_UNINSTALL = :
79 PRE_UNINSTALL = :
80 POST_UNINSTALL = :
81 build_triplet = @build@
82 host_triplet = @host@
83 @GUI_TRUE@@XCOS_TRUE@am__append_1 = libscixcos.la
84 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
85         $(top_srcdir)/Makefile.incl.am
86 @NEED_JAVA_TRUE@am__append_2 = java
87 subdir = modules/xcos
88 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
89 am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
90         $(top_srcdir)/m4/compiler.m4 $(top_srcdir)/m4/docbook.m4 \
91         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
92         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
93         $(top_srcdir)/m4/intel_compiler.m4 \
94         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
95         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
96         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
97         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
98         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
99         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
100         $(top_srcdir)/m4/mpi.m4 $(top_srcdir)/m4/ocaml.m4 \
101         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
102         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
103         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
104         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
105 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
106         $(ACLOCAL_M4)
107 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
108 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
109 CONFIG_CLEAN_FILES =
110 CONFIG_CLEAN_VPATH_FILES =
111 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
112 am__vpath_adj = case $$p in \
113     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
114     *) f=$$p;; \
115   esac;
116 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
117 am__install_max = 40
118 am__nobase_strip_setup = \
119   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
120 am__nobase_strip = \
121   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
122 am__nobase_list = $(am__nobase_strip_setup); \
123   for p in $$list; do echo "$$p $$p"; done | \
124   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
125   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
126     if (++n[$$2] == $(am__install_max)) \
127       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
128     END { for (dir in files) print dir, files[dir] }'
129 am__base_list = \
130   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
131   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
132 am__uninstall_files_from_dir = { \
133   test -z "$$files" \
134     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
135     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
136          $(am__cd) "$$dir" && rm -f $$files; }; \
137   }
138 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
139         "$(DESTDIR)$(libscixcos_la_etcdir)" \
140         "$(DESTDIR)$(libscixcos_la_rootdir)" \
141         "$(DESTDIR)$(libscixcos_la_sci_gatewaydir)" \
142         "$(DESTDIR)$(libscixcos_la_imagesdir)"
143 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
144 libscixcos_algo_la_LIBADD =
145 am__objects_1 = libscixcos_algo_la-Xcos.lo \
146         libscixcos_algo_la-Palette.lo libscixcos_algo_la-Modelica.lo \
147         libscixcos_algo_la-xcosUtilities.lo
148 am_libscixcos_algo_la_OBJECTS = $(am__objects_1)
149 libscixcos_algo_la_OBJECTS = $(am_libscixcos_algo_la_OBJECTS)
150 @GUI_TRUE@@XCOS_TRUE@am_libscixcos_algo_la_rpath =
151 libscixcos_disable_la_LIBADD =
152 am__objects_2 = libscixcos_disable_la-noxcos.lo
153 am_libscixcos_disable_la_OBJECTS = $(am__objects_2)
154 libscixcos_disable_la_OBJECTS = $(am_libscixcos_disable_la_OBJECTS)
155 libscixcos_la_DEPENDENCIES = libscixcos-algo.la
156 am__objects_3 = libscixcos_la-gw_xcos.lo
157 am__objects_4 = libscixcos_la-sci_Xcos.lo \
158         libscixcos_la-sci_warnBlockByUID.lo \
159         libscixcos_la-sci_closeXcosFromScilab.lo \
160         libscixcos_la-sci_xcosDiagramToScilab.lo \
161         libscixcos_la-sci_xcosPalLoad.lo \
162         libscixcos_la-sci_xcosPalCategoryAdd.lo \
163         libscixcos_la-sci_xcosPalDelete.lo \
164         libscixcos_la-sci_xcosPalMove.lo \
165         libscixcos_la-sci_xcosPalEnable.lo \
166         libscixcos_la-sci_xcosPalDisable.lo \
167         libscixcos_la-sci_xcosPalGenerateIcon.lo \
168         libscixcos_la-sci_xcosConfigureXmlFile.lo \
169         libscixcos_la-sci_xcosAddToolsMenu.lo \
170         libscixcos_la-sci_xcosUpdateBlock.lo \
171         libscixcos_la-sci_loadXcos.lo \
172         libscixcos_la-sci_xcosSimulationStarted.lo
173 am_libscixcos_la_OBJECTS = $(am__objects_3) $(am__objects_4)
174 libscixcos_la_OBJECTS = $(am_libscixcos_la_OBJECTS)
175 @GUI_TRUE@@XCOS_TRUE@am_libscixcos_la_rpath = -rpath $(pkglibdir)
176 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
177 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
178 am__depfiles_maybe = depfiles
179 am__mv = mv -f
180 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
181         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
182 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
183         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
184         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
185 CCLD = $(CC)
186 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
187         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
188         $(LDFLAGS) -o $@
189 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
190         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
191 LTCXXCOMPILE = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
192         --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
193         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
194 CXXLD = $(CXX)
195 CXXLINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
196         --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) \
197         $(LDFLAGS) -o $@
198 SOURCES = $(libscixcos_algo_la_SOURCES) \
199         $(libscixcos_disable_la_SOURCES) $(libscixcos_la_SOURCES)
200 DIST_SOURCES = $(libscixcos_algo_la_SOURCES) \
201         $(libscixcos_disable_la_SOURCES) $(libscixcos_la_SOURCES)
202 am__can_run_installinfo = \
203   case $$AM_UPDATE_INFO_DIR in \
204     n|no|NO) false;; \
205     *) (install-info --version) >/dev/null 2>&1;; \
206   esac
207 DATA = $(libscixcos_la_etc_DATA) $(libscixcos_la_root_DATA) \
208         $(libscixcos_la_sci_gateway_DATA) \
209         $(nobase_libscixcos_la_images_DATA)
210 ETAGS = etags
211 CTAGS = ctags
212 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
213 ACLOCAL = @ACLOCAL@
214 ALL_LINGUAS = @ALL_LINGUAS@
215 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
216 AMTAR = @AMTAR@
217 ANT = @ANT@
218 ANTLR = @ANTLR@
219 AR = @AR@
220 ARPACK_LIBS = @ARPACK_LIBS@
221 ASM3 = @ASM3@
222 AUTOCONF = @AUTOCONF@
223 AUTOHEADER = @AUTOHEADER@
224 AUTOMAKE = @AUTOMAKE@
225 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
226 AWK = @AWK@
227 BATIK = @BATIK@
228 BLAS_LIBS = @BLAS_LIBS@
229 CC = @CC@
230 CCACHE = @CCACHE@
231 CCDEPMODE = @CCDEPMODE@
232 CFLAGS = @CFLAGS@
233 CHECKSTYLE = @CHECKSTYLE@
234 COBERTURA = @COBERTURA@
235 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
236 COMMONS_IO = @COMMONS_IO@
237 COMMONS_LOGGING = @COMMONS_LOGGING@
238 CPP = @CPP@
239 CPPFLAGS = @CPPFLAGS@
240 CXX = @CXX@
241 CXXCPP = @CXXCPP@
242 CXXDEPMODE = @CXXDEPMODE@
243 CXXFLAGS = @CXXFLAGS@
244 CYGPATH_W = @CYGPATH_W@
245 DEFS = @DEFS@
246 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
247 DEPDIR = @DEPDIR@
248 DOCBOOK_ROOT = @DOCBOOK_ROOT@
249 DSYMUTIL = @DSYMUTIL@
250 DUMPBIN = @DUMPBIN@
251 ECHO_C = @ECHO_C@
252 ECHO_N = @ECHO_N@
253 ECHO_T = @ECHO_T@
254 EGREP = @EGREP@
255 EXEEXT = @EXEEXT@
256 F77 = @F77@
257 FFLAGS = @FFLAGS@
258 FFTW3_LIB = @FFTW3_LIB@
259 FFTW_ENABLE = @FFTW_ENABLE@
260 FGREP = @FGREP@
261 FLEXDOCK = @FLEXDOCK@
262 FLIBS = @FLIBS@
263 FOP = @FOP@
264 GENHTML = @GENHTML@
265 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
266 GIWS_BIN = @GIWS_BIN@
267 GLUEGEN2_RT = @GLUEGEN2_RT@
268 GMSGFMT = @GMSGFMT@
269 GMSGFMT_015 = @GMSGFMT_015@
270 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
271 GREP = @GREP@
272 GUI_ENABLE = @GUI_ENABLE@
273 HDF5_CFLAGS = @HDF5_CFLAGS@
274 HDF5_LIBS = @HDF5_LIBS@
275 HELP_ENABLE = @HELP_ENABLE@
276 INSTALL = @INSTALL@
277 INSTALL_DATA = @INSTALL_DATA@
278 INSTALL_PROGRAM = @INSTALL_PROGRAM@
279 INSTALL_SCRIPT = @INSTALL_SCRIPT@
280 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
281 INTLLIBS = @INTLLIBS@
282 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
283 JAR = @JAR@
284 JAVA = @JAVA@
285 JAVAC = @JAVAC@
286 JAVAC_DEBUG = @JAVAC_DEBUG@
287 JAVADOC = @JAVADOC@
288 JAVAH = @JAVAH@
289 JAVASCI_ENABLE = @JAVASCI_ENABLE@
290 JAVA_ENABLE = @JAVA_ENABLE@
291 JAVA_G = @JAVA_G@
292 JAVA_HOME = @JAVA_HOME@
293 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
294 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
295 JDB = @JDB@
296 JEUCLID_CORE = @JEUCLID_CORE@
297 JGRAPHX = @JGRAPHX@
298 JHALL = @JHALL@
299 JLATEXMATH = @JLATEXMATH@
300 JLATEXMATH_FOP = @JLATEXMATH_FOP@
301 JOGL2 = @JOGL2@
302 JROSETTA_API = @JROSETTA_API@
303 JROSETTA_ENGINE = @JROSETTA_ENGINE@
304 JUNIT4 = @JUNIT4@
305 LAPACK_LIBS = @LAPACK_LIBS@
306 LCOV = @LCOV@
307 LD = @LD@
308 LDFLAGS = @LDFLAGS@
309 LIBICONV = @LIBICONV@
310 LIBINTL = @LIBINTL@
311 LIBM = @LIBM@
312 LIBOBJS = @LIBOBJS@
313 LIBS = @LIBS@
314 LIBTOOL = @LIBTOOL@
315 LIPO = @LIPO@
316 LN_S = @LN_S@
317 LOGGING_LEVEL = @LOGGING_LEVEL@
318 LOOKS = @LOOKS@
319 LTLIBICONV = @LTLIBICONV@
320 LTLIBINTL = @LTLIBINTL@
321 LTLIBOBJS = @LTLIBOBJS@
322 MAINT = @MAINT@
323 MAKEINFO = @MAKEINFO@
324 MATIO_CFLAGS = @MATIO_CFLAGS@
325 MATIO_ENABLE = @MATIO_ENABLE@
326 MATIO_LIBS = @MATIO_LIBS@
327 MKDIR_P = @MKDIR_P@
328 MPI_ENABLE = @MPI_ENABLE@
329 MSGCAT = @MSGCAT@
330 MSGFMT = @MSGFMT@
331 MSGFMT_015 = @MSGFMT_015@
332 MSGMERGE = @MSGMERGE@
333 NM = @NM@
334 NMEDIT = @NMEDIT@
335 OBJDUMP = @OBJDUMP@
336 OBJEXT = @OBJEXT@
337 OCAMLC = @OCAMLC@
338 OCAMLDEP = @OCAMLDEP@
339 OCAMLLEX = @OCAMLLEX@
340 OCAMLOPT = @OCAMLOPT@
341 OCAMLYACC = @OCAMLYACC@
342 OPENMPI_CC = @OPENMPI_CC@
343 OPENMPI_FLAGS = @OPENMPI_FLAGS@
344 OPENMPI_LIBS = @OPENMPI_LIBS@
345 OPENMP_CFLAGS = @OPENMP_CFLAGS@
346 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
347 OPENMP_ENABLE = @OPENMP_ENABLE@
348 OPENMP_LIBS = @OPENMP_LIBS@
349 OTOOL = @OTOOL@
350 OTOOL64 = @OTOOL64@
351 PACKAGE = @PACKAGE@
352 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
353 PACKAGE_NAME = @PACKAGE_NAME@
354 PACKAGE_STRING = @PACKAGE_STRING@
355 PACKAGE_TARNAME = @PACKAGE_TARNAME@
356 PACKAGE_URL = @PACKAGE_URL@
357 PACKAGE_VERSION = @PACKAGE_VERSION@
358 PATH_SEPARATOR = @PATH_SEPARATOR@
359 PCRE_CFLAGS = @PCRE_CFLAGS@
360 PCRE_CONFIG = @PCRE_CONFIG@
361 PCRE_LIBS = @PCRE_LIBS@
362 PCRE_VERSION = @PCRE_VERSION@
363 PKG_CONFIG = @PKG_CONFIG@
364 POSUB = @POSUB@
365 POW_LIB = @POW_LIB@
366 PYTHON = @PYTHON@
367 RANLIB = @RANLIB@
368 RELOCATABLE = @RELOCATABLE@
369 RT_LIB = @RT_LIB@
370 SAXON = @SAXON@
371 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
372 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
373 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
374 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
375 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
376 SCIRENDERER = @SCIRENDERER@
377 SCI_CFLAGS = @SCI_CFLAGS@
378 SCI_CXXFLAGS = @SCI_CXXFLAGS@
379 SCI_FFLAGS = @SCI_FFLAGS@
380 SCI_LDFLAGS = @SCI_LDFLAGS@
381 SED = @SED@
382 SET_MAKE = @SET_MAKE@
383 SET_RELOCATABLE = @SET_RELOCATABLE@
384 SHELL = @SHELL@
385 SKINLF = @SKINLF@
386 SPLINT = @SPLINT@
387 STRIP = @STRIP@
388 SWIG_BIN = @SWIG_BIN@
389 SWIG_JAVA = @SWIG_JAVA@
390 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
391 TCLTK_LIBS = @TCLTK_LIBS@
392 TCL_INC_PATH = @TCL_INC_PATH@
393 TK_INC_PATH = @TK_INC_PATH@
394 UMFPACK_ENABLE = @UMFPACK_ENABLE@
395 UMFPACK_LIB = @UMFPACK_LIB@
396 USE_NLS = @USE_NLS@
397 VERSION = @VERSION@
398 WITH_OCAML = @WITH_OCAML@
399 WITH_TKSCI = @WITH_TKSCI@
400 XCOS_ENABLE = @XCOS_ENABLE@
401 XGETTEXT = @XGETTEXT@
402 XGETTEXT_015 = @XGETTEXT_015@
403 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
404 XMKMF = @XMKMF@
405 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
406 XML_APIS_EXT = @XML_APIS_EXT@
407 XML_CONFIG = @XML_CONFIG@
408 XML_FLAGS = @XML_FLAGS@
409 XML_LIBS = @XML_LIBS@
410 XML_VERSION = @XML_VERSION@
411 X_CFLAGS = @X_CFLAGS@
412 X_EXTRA_LIBS = @X_EXTRA_LIBS@
413 X_LIBS = @X_LIBS@
414 X_PRE_LIBS = @X_PRE_LIBS@
415 abs_builddir = @abs_builddir@
416 abs_srcdir = @abs_srcdir@
417 abs_top_builddir = @abs_top_builddir@
418 abs_top_srcdir = @abs_top_srcdir@
419 ac_ct_CC = @ac_ct_CC@
420 ac_ct_CXX = @ac_ct_CXX@
421 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
422 ac_ct_F77 = @ac_ct_F77@
423 am__include = @am__include@
424 am__leading_dot = @am__leading_dot@
425 am__quote = @am__quote@
426 am__tar = @am__tar@
427 am__untar = @am__untar@
428 bindir = @bindir@
429 build = @build@
430 build_alias = @build_alias@
431 build_cpu = @build_cpu@
432 build_os = @build_os@
433 build_vendor = @build_vendor@
434 builddir = @builddir@
435 cxx_present = @cxx_present@
436 datadir = @datadir@
437 datarootdir = @datarootdir@
438 docdir = @docdir@
439 dvidir = @dvidir@
440 exec_prefix = @exec_prefix@
441 host = @host@
442 host_alias = @host_alias@
443 host_cpu = @host_cpu@
444 host_os = @host_os@
445 host_vendor = @host_vendor@
446 htmldir = @htmldir@
447 includedir = @includedir@
448 infodir = @infodir@
449 install_sh = @install_sh@
450 libdir = @libdir@
451 libexecdir = @libexecdir@
452 localedir = @localedir@
453 localstatedir = @localstatedir@
454 mandir = @mandir@
455 mkdir_p = @mkdir_p@
456 oldincludedir = @oldincludedir@
457 pdfdir = @pdfdir@
458 prefix = @prefix@
459 program_transform_name = @program_transform_name@
460 psdir = @psdir@
461 sbindir = @sbindir@
462 sharedstatedir = @sharedstatedir@
463 srcdir = @srcdir@
464 sysconfdir = @sysconfdir@
465 target_alias = @target_alias@
466 top_build_prefix = @top_build_prefix@
467 top_builddir = @top_builddir@
468 top_srcdir = @top_srcdir@
469
470 #### Target ######
471 modulename = xcos
472
473 #### xcos : Conf files ####
474 libscixcos_la_rootdir = $(mydatadir)
475 libscixcos_la_root_DATA = license.txt
476
477 #### xcos : init scripts ####
478 libscixcos_la_etcdir = $(mydatadir)/etc
479 libscixcos_la_etc_DATA = \
480         etc/xcos.quit \
481         etc/xcos.start \
482         etc/Xcos-style.xml \
483         etc/XcosFile.xsd \
484         etc/xcos.xml \
485         etc/XcosConfiguration.xsd \
486         etc/palettes.xml \
487         etc/PaletteConfiguration.xsd \
488         etc/Modelica.xsd \
489         etc/XConfiguration-xcos.xsl \
490         etc/XConfiguration-xcos.xml
491
492 XCOS_CXX_SOURCES = src/jni/Xcos.cpp \
493                         src/jni/Xcos.hxx \
494                         src/jni/Palette.cpp \
495                         src/jni/Palette.hxx \
496                         src/jni/Modelica.cpp \
497                         src/jni/Modelica.hxx \
498                         src/cpp/xcosUtilities.cpp
499
500 GIWS_WRAPPERS = src/jni/Xcos.giws.xml \
501                         src/jni/Palette.giws.xml \
502                         src/jni/Modelica.giws.xml
503
504 @GIWS_TRUE@BUILT_SOURCES = giws
505 GATEWAY_C_SOURCES = sci_gateway/c/gw_xcos.c
506 GATEWAY_CXX_SOURCES = \
507         sci_gateway/cpp/sci_Xcos.cpp \
508         sci_gateway/cpp/sci_warnBlockByUID.cpp \
509         sci_gateway/cpp/sci_closeXcosFromScilab.cpp \
510         sci_gateway/cpp/sci_xcosDiagramToScilab.cpp \
511         sci_gateway/cpp/sci_xcosPalLoad.cpp \
512         sci_gateway/cpp/sci_xcosPalCategoryAdd.cpp \
513         sci_gateway/cpp/sci_xcosPalDelete.cpp \
514         sci_gateway/cpp/sci_xcosPalMove.cpp \
515         sci_gateway/cpp/sci_xcosPalEnable.cpp \
516         sci_gateway/cpp/sci_xcosPalDisable.cpp \
517         sci_gateway/cpp/sci_xcosPalGenerateIcon.cpp \
518         sci_gateway/cpp/sci_xcosConfigureXmlFile.cpp \
519         sci_gateway/cpp/sci_xcosAddToolsMenu.cpp \
520         sci_gateway/cpp/sci_xcosUpdateBlock.cpp \
521         sci_gateway/cpp/sci_loadXcos.cpp \
522         sci_gateway/cpp/sci_xcosSimulationStarted.cpp
523
524 libscixcos_la_CPPFLAGS = \
525                         -I$(srcdir)/includes/ \
526                         -I$(srcdir)/src/jni/ \
527                         -I$(srcdir)/src/cpp/ \
528                         -I$(srcdir)/src/c/ \
529                         -I$(top_srcdir)/libs/MALLOC/includes/ \
530                         -I$(top_srcdir)/modules/jvm/includes/ \
531                         -I$(top_srcdir)/modules/output_stream/includes/ \
532                         -I$(top_srcdir)/modules/commons/src/jni/ \
533                         -I$(top_srcdir)/modules/localization/includes/ \
534                         -I$(top_srcdir)/modules/fileio/includes/ \
535                         -I$(top_srcdir)/modules/scicos_blocks/src/jni/ \
536                         -I$(top_srcdir)/modules/api_scilab/includes/ \
537                         $(JAVA_JNI_INCLUDE) \
538                         $(AM_CPPFLAGS)
539
540
541 # Without the xcos module
542 libscixcos_disable_la_CPPFLAGS = -I$(srcdir)/includes/ \
543                         -I$(top_srcdir)/modules/localization/includes/ \
544                         -I$(top_srcdir)/modules/output_stream/includes \
545                         $(AM_CPPFLAGS)
546
547 XCOS_DISABLE_C_SOURCES = src/noxcos/noxcos.c
548 libscixcos_disable_la_SOURCES = $(XCOS_DISABLE_C_SOURCES)
549 pkglib_LTLIBRARIES = libscixcos-disable.la $(am__append_1)
550 @GUI_TRUE@@XCOS_TRUE@noinst_LTLIBRARIES = libscixcos-algo.la
551 libscixcos_algo_la_SOURCES = $(XCOS_C_SOURCES) $(XCOS_CXX_SOURCES)
552 libscixcos_la_SOURCES = $(GATEWAY_C_SOURCES) $(GATEWAY_CXX_SOURCES)
553 libscixcos_algo_la_CPPFLAGS = $(libscixcos_la_CPPFLAGS)
554
555 # For the code check (splint)
556 CHECK_SRC = $(XCOS_C_SOURCES) $(GATEWAY_C_SOURCES)
557 INCLUDE_FLAGS = $(libscixcos_la_CPPFLAGS)
558 libscixcos_la_LIBADD = libscixcos-algo.la
559
560 #### xcos : gateway declaration ####
561 libscixcos_la_sci_gatewaydir = $(mydatadir)/sci_gateway
562 libscixcos_la_sci_gateway_DATA = sci_gateway/xcos_gateway.xml
563
564 #### xcos : images files ####
565 #
566 # Generated with:
567 #   $ find images/ -type f -printf "%p \\\\\n" -name *.svg -or -name *.gif -or -name *.jpg -or -name *.png -not -name *_pal.jpg -not -name gui |sort |awk '$0 !~ /gui/{print;}' |awk '$0 !~ /_pal.jpg/{print;}'
568 libscixcos_la_imagesdir = $(mydatadir)/
569 nobase_libscixcos_la_images_DATA = images/blocks/3DSCOPE.svg \
570 images/blocks/ANDBLK.svg \
571 images/blocks/ASCOPE.svg \
572 images/blocks/BACHE.svg \
573 images/blocks/BARXY.svg \
574 images/blocks/BPLATFORM.svg \
575 images/blocks/Capacitor.svg \
576 images/blocks/CCS.svg \
577 images/blocks/CLOCK_c.svg \
578 images/blocks/CLOCK_f.svg \
579 images/blocks/ConstantVoltage.svg \
580 images/blocks/CSCOPXY.svg \
581 images/blocks/CurrentSensor.svg \
582 images/blocks/CVS.svg \
583 images/blocks/DEADBAND.svg \
584 images/blocks/Diode.svg \
585 images/blocks/DSCOPE.svg \
586 images/blocks/Ground.svg \
587 images/blocks/Gyrator.svg \
588 images/blocks/HYSTHERESIS.svg \
589 images/blocks/IdealTransformer.svg \
590 images/blocks/Inductor.svg \
591 images/blocks/INTEGRAL.svg \
592 images/blocks/Modelica.svg \
593 images/blocks/NMOS.svg \
594 images/blocks/NPN.svg \
595 images/blocks/PerteDP.svg \
596 images/blocks/PMOS.svg \
597 images/blocks/PNP.svg \
598 images/blocks/PotentialSensor.svg \
599 images/blocks/PRODUCT.svg \
600 images/blocks/PuitP.svg \
601 images/blocks/PULSE_SC.svg \
602 images/blocks/QUANT_f.svg \
603 images/blocks/RAMP.svg \
604 images/blocks/Resistor.svg \
605 images/blocks/SampleCLK.svg \
606 images/blocks/SATURATION.svg \
607 images/blocks/sawtooth.svg \
608 images/blocks/Self_Switch_off.svg \
609 images/blocks/Self_Switch_on.svg \
610 images/blocks/SELF_SWITCH.svg \
611 images/blocks/SINUS_f.svg \
612 images/blocks/SourceP.svg \
613 images/blocks/SQUARE_WAVE_f.svg \
614 images/blocks/STEP_FUNCTION.svg \
615 images/blocks/SUM.svg \
616 images/blocks/SUPER.svg \
617 images/blocks/SWITCH.svg \
618 images/blocks/VanneReglante.svg \
619 images/blocks/VariableResistor.svg \
620 images/blocks/VoltageSensor.svg \
621 images/icons/16x16/actions/align-horizontal-center.png \
622 images/icons/16x16/actions/align-horizontal-left.png \
623 images/icons/16x16/actions/align-horizontal-right.png \
624 images/icons/16x16/actions/align-vertical-bottom.png \
625 images/icons/16x16/actions/align-vertical-center.png \
626 images/icons/16x16/actions/align-vertical-top.png \
627 images/icons/16x16/actions/color-fill.png \
628 images/icons/16x16/actions/draw-brush.png \
629 images/icons/16x16/actions/object-group.png \
630 images/icons/16x16/actions/process-stop.png \
631 images/icons/16x16/actions/select-by-color.png \
632 images/icons/16x16/actions/transform-flip.png \
633 images/icons/16x16/actions/transform-mirror.png \
634 images/icons/16x16/categories/preferences-desktop.png \
635 images/palettes/ABS_VALUE.png \
636 images/palettes/AFFICH_m.png \
637 images/palettes/ANDBLK.png \
638 images/palettes/ANDLOG_f.png \
639 images/palettes/AUTOMAT.png \
640 images/palettes/Bache.png \
641 images/palettes/BACKLASH.png \
642 images/palettes/BARXY.png \
643 images/palettes/BIGSOM_f.png \
644 images/palettes/BITCLEAR.png \
645 images/palettes/BITSET.png \
646 images/palettes/BOUNCE.png \
647 images/palettes/BOUNCEXY.png \
648 images/palettes/BPLATFORM.png \
649 images/palettes/CANIMXY3D.png \
650 images/palettes/CANIMXY.png \
651 images/palettes/Capacitor.png \
652 images/palettes/c_block.png \
653 images/palettes/CBLOCK.png \
654 images/palettes/CCS.png \
655 images/palettes/CEVENTSCOPE.png \
656 images/palettes/CFSCOPE.png \
657 images/palettes/CLINDUMMY_f.png \
658 images/palettes/CLKFROM.png \
659 images/palettes/CLKGOTO.png \
660 images/palettes/CLKGotoTagVisibility.png \
661 images/palettes/CLKINV_f.png \
662 images/palettes/CLKOUTV_f.png \
663 images/palettes/CLKSOMV_f.png \
664 images/palettes/CLOCK_c.png \
665 images/palettes/CLR.png \
666 images/palettes/CLSS.png \
667 images/palettes/CMAT3D.png \
668 images/palettes/CMATVIEW.png \
669 images/palettes/CMSCOPE.png \
670 images/palettes/ConstantVoltage.png \
671 images/palettes/CONST_m.png \
672 images/palettes/CONSTRAINT2_c.png \
673 images/palettes/CONSTRAINT_c.png \
674 images/palettes/CONVERT.png \
675 images/palettes/COSBLK_f.png \
676 images/palettes/Counter.png \
677 images/palettes/CSCOPE.png \
678 images/palettes/CSCOPXY3D.png \
679 images/palettes/CSCOPXY.png \
680 images/palettes/CUMSUM.png \
681 images/palettes/CurrentSensor.png \
682 images/palettes/CURV_f.png \
683 images/palettes/CVS.png \
684 images/palettes/DEADBAND.png \
685 images/palettes/DEBUG_SCICOS.png \
686 images/palettes/DELAY_f.png \
687 images/palettes/DELAYV_f.png \
688 images/palettes/DEMUX.png \
689 images/palettes/DERIV.png \
690 images/palettes/DFLIPFLOP.png \
691 images/palettes/DIFF_f.png \
692 images/palettes/Diode.png \
693 images/palettes/DLATCH.png \
694 images/palettes/DLRADAPT_f.png \
695 images/palettes/DLR.png \
696 images/palettes/DLSS.png \
697 images/palettes/DOLLAR_f.png \
698 images/palettes/EDGE_TRIGGER.png \
699 images/palettes/ENDBLK.png \
700 images/palettes/END_c.png \
701 images/palettes/ESELECT_f.png \
702 images/palettes/EVTDLY_c.png \
703 images/palettes/EVTGEN_f.png \
704 images/palettes/EVTVARDLY.png \
705 images/palettes/EXPBLK_m.png \
706 images/palettes/EXPRESSION.png \
707 images/palettes/Extract_Activation.png \
708 images/palettes/EXTRACTBITS.png \
709 images/palettes/EXTRACTOR.png \
710 images/palettes/EXTRACT.png \
711 images/palettes/EXTTRI.png \
712 images/palettes/fortran_block.png \
713 images/palettes/freq_div.png \
714 images/palettes/FROMMO.png \
715 images/palettes/FROM.png \
716 images/palettes/FROMWSB.png \
717 images/palettes/GAINBLK_f.png \
718 images/palettes/GENERAL_f.png \
719 images/palettes/generic_block3.png \
720 images/palettes/GENSIN_f.png \
721 images/palettes/GENSQR_f.png \
722 images/palettes/GOTOMO.png \
723 images/palettes/GOTO.png \
724 images/palettes/GotoTagVisibilityMO.png \
725 images/palettes/GotoTagVisibility.png \
726 images/palettes/Ground.png \
727 images/palettes/Gyrator.png \
728 images/palettes/HALT_f.png \
729 images/palettes/HYSTHERESIS.png \
730 images/palettes/IdealTransformer.png \
731 images/palettes/IFTHEL_f.png \
732 images/palettes/Inductor.png \
733 images/palettes/IN_f.png \
734 images/palettes/INIMPL_f.png \
735 images/palettes/INTEGRAL_f.png \
736 images/palettes/INTEGRAL_m.png \
737 images/palettes/INTMUL.png \
738 images/palettes/INTRP2BLK_f.png \
739 images/palettes/INTRPLBLK_f.png \
740 images/palettes/INVBLK.png \
741 images/palettes/ISELECT_m.png \
742 images/palettes/JKFLIPFLOP.png \
743 images/palettes/LOGBLK_f.png \
744 images/palettes/LOGICAL_OP.png \
745 images/palettes/LOGIC.png \
746 images/palettes/LOOKUP_f.png \
747 images/palettes/MATBKSL.png \
748 images/palettes/MATCATH.png \
749 images/palettes/MATCATV.png \
750 images/palettes/MATDET.png \
751 images/palettes/MATDIAG.png \
752 images/palettes/MATDIV.png \
753 images/palettes/MATEIG.png \
754 images/palettes/MATEXPM.png \
755 images/palettes/MATINV.png \
756 images/palettes/MATLU.png \
757 images/palettes/MATMAGPHI.png \
758 images/palettes/MATMUL.png \
759 images/palettes/MATPINV.png \
760 images/palettes/MATRESH.png \
761 images/palettes/MATSING.png \
762 images/palettes/MATSUM.png \
763 images/palettes/MATTRAN.png \
764 images/palettes/MATZCONJ.png \
765 images/palettes/MATZREIM.png \
766 images/palettes/MAX_f.png \
767 images/palettes/MAXMIN.png \
768 images/palettes/MBLOCK.png \
769 images/palettes/MCLOCK_f.png \
770 images/palettes/MFCLCK_f.png \
771 images/palettes/M_freq.png \
772 images/palettes/MIN_f.png \
773 images/palettes/Modulo_Count.png \
774 images/palettes/M_SWITCH.png \
775 images/palettes/MUX.png \
776 images/palettes/NEGTOPOS_f.png \
777 images/palettes/NMOS.png \
778 images/palettes/NPN.png \
779 images/palettes/NRMSOM_f.png \
780 images/palettes/OpAmp.png \
781 images/palettes/OUT_f.png \
782 images/palettes/OUTIMPL_f.png \
783 images/palettes/PDE.png \
784 images/palettes/PerteDP.png \
785 images/palettes/PID.png \
786 images/palettes/PMOS.png \
787 images/palettes/PNP.png \
788 images/palettes/POSTONEG_f.png \
789 images/palettes/PotentialSensor.png \
790 images/palettes/POWBLK_f.png \
791 images/palettes/PROD_f.png \
792 images/palettes/PRODUCT.png \
793 images/palettes/PuitsP.png \
794 images/palettes/PULSE_SC.png \
795 images/palettes/QUANT_f.png \
796 images/palettes/RAMP.png \
797 images/palettes/RAND_m.png \
798 images/palettes/RATELIMITER.png \
799 images/palettes/READAU_f.png \
800 images/palettes/READC_f.png \
801 images/palettes/REGISTER.png \
802 images/palettes/RELATIONALOP.png \
803 images/palettes/RELAY_f.png \
804 images/palettes/Resistor.png \
805 images/palettes/RFILE_f.png \
806 images/palettes/RICC.png \
807 images/palettes/ROOTCOEF.png \
808 images/palettes/SAMPHOLD_m.png \
809 images/palettes/SampleCLK.png \
810 images/palettes/SATURATION.png \
811 images/palettes/SAWTOOTH_f.png \
812 images/palettes/SCALAR2VECTOR.png \
813 images/palettes/scifunc_block_m.png \
814 images/palettes/SELECT_m.png \
815 images/palettes/SELF_SWITCH_off.png \
816 images/palettes/SELF_SWITCH_on.png \
817 images/palettes/SELF_SWITCH.png \
818 images/palettes/SHIFT.png \
819 images/palettes/Sigbuilder.png \
820 images/palettes/SIGNUM.png \
821 images/palettes/SINBLK_f.png \
822 images/palettes/SineVoltage.png \
823 images/palettes/SourceP.png \
824 images/palettes/SQRT.png \
825 images/palettes/SRFLIPFLOP.png \
826 images/palettes/STEP_FUNCTION.png \
827 images/palettes/SUBMAT.png \
828 images/palettes/SUM_f.png \
829 images/palettes/SUMMATION.png \
830 images/palettes/SUPER_f.png \
831 images/palettes/SWITCH2_m.png \
832 images/palettes/SWITCH_f.png \
833 images/palettes/Switch.png \
834 images/palettes/TANBLK_f.png \
835 images/palettes/TCLSS.png \
836 images/palettes/TEXT_f.png \
837 images/palettes/TIME_DELAY.png \
838 images/palettes/TIME_f.png \
839 images/palettes/TKSCALE.png \
840 images/palettes/TOWS_c.png \
841 images/palettes/TRASH_f.png \
842 images/palettes/TrigFun.png \
843 images/palettes/VanneReglante.png \
844 images/palettes/VARIABLE_DELAY.png \
845 images/palettes/VariableResistor.png \
846 images/palettes/VirtualCLK0.png \
847 images/palettes/VoltageSensor.png \
848 images/palettes/VsourceAC.png \
849 images/palettes/VVsourceAC.png \
850 images/palettes/WFILE_f.png \
851 images/palettes/WRITEAU_f.png \
852 images/palettes/WRITEC_f.png \
853 images/palettes/ZCROSS_f.png
854
855 @GUI_TRUE@@XCOS_TRUE@USEANT = 1
856
857 # Where all the Scilab stuff is installed (macros, help, ...)
858 mydatadir = $(pkgdatadir)/modules/$(modulename)
859
860 # Set AM_* SCI detected settings
861 AM_CPPFLAGS = $(SCI_CPPFLAGS)
862 AM_CFLAGS = $(SCI_CFLAGS)
863 AM_CXXFLAGS = $(SCI_CXXFLAGS)
864 # append includes to AM_FFLAGS to manage fortran includes
865 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
866
867 # Tag shared libraries with the Scilab version
868 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
869
870 # splint options
871 SPLINT_OPTIONS = -weak -booltype BOOL
872
873 ########################### JAVA ######################################
874 #### We are delegating java compilation to ant... Thanks to that
875 #### the procedure will be the same with Microsoft Windows (C)
876 #### and Linux/Unix
877 #######################################################################
878 TARGETS_ALL = $(am__append_2)
879
880 ################ MACROS ######################
881 # Rule to build a macro
882 # NOT USED  AT THE MOMENT
883 SUFFIXES = .sci 
884
885 ########### INSTALL DOCUMENTATION ###################
886
887 # Install documentation files into the right target
888 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
889 # automake needs the html files to be present which is not the case when
890 # we are building Scilab
891
892 # Where it should be installed
893 pkgdocdir = $(mydatadir)
894
895 # What is the mask of the help source
896 DOCMASKXML = *.xml
897
898 # What is the mask of the MathML sources
899 DOCMASKMML = *.mml
900
901 ########### INSTALL DATA ###################
902 # Install macros, help & demos
903 # Where it should be installed
904 pkgmacrosdir = $(mydatadir)
905 # Which directory we process
906 MACRODIRS = macros/
907 # Mask of the Scilab sources macros
908 MACROMASK = *.sci
909 # Mask of the Scilab executable sources macros
910 MACROBUILDMASK = *.sce
911 # Mask of the Scilab compiled macros
912 MACROBINMASK = *.bin
913 # List of the standard directory for tests
914 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
915 # Where the demos should be installed
916 pkgdemosdir = $(mydatadir)
917 # List of the standard directory for demos
918 DEMOS_DIR = demos
919 # List of the standard directory for examples
920 EXAMPLES_DIR = examples
921 # Where to export JAVA archives (.jar)
922 JARDIR = jar/
923 # JAR files mask
924 JARMASK = *.jar
925 # Chapter file 
926 HELP_CHAPTERDIR = help/
927 HELP_CHAPTERFILE = addchapter.sce
928 HELP_CHAPTERLANG = en_US fr_FR pt_BR
929 all: $(BUILT_SOURCES)
930         $(MAKE) $(AM_MAKEFLAGS) all-am
931
932 .SUFFIXES:
933 .SUFFIXES: .sci .bin .c .cpp .lo .o .obj
934 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
935         @for dep in $?; do \
936           case '$(am__configure_deps)' in \
937             *$$dep*) \
938               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
939                 && { if test -f $@; then exit 0; else break; fi; }; \
940               exit 1;; \
941           esac; \
942         done; \
943         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/xcos/Makefile'; \
944         $(am__cd) $(top_srcdir) && \
945           $(AUTOMAKE) --foreign modules/xcos/Makefile
946 .PRECIOUS: Makefile
947 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
948         @case '$?' in \
949           *config.status*) \
950             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
951           *) \
952             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
953             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
954         esac;
955 $(top_srcdir)/Makefile.incl.am:
956
957 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
958         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
959
960 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
961         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
962 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
963         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
964 $(am__aclocal_m4_deps):
965
966 clean-noinstLTLIBRARIES:
967         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
968         @list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
969           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
970           test "$$dir" != "$$p" || dir=.; \
971           echo "rm -f \"$${dir}/so_locations\""; \
972           rm -f "$${dir}/so_locations"; \
973         done
974 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
975         @$(NORMAL_INSTALL)
976         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
977         list2=; for p in $$list; do \
978           if test -f $$p; then \
979             list2="$$list2 $$p"; \
980           else :; fi; \
981         done; \
982         test -z "$$list2" || { \
983           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
984           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
985           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
986           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
987         }
988
989 uninstall-pkglibLTLIBRARIES:
990         @$(NORMAL_UNINSTALL)
991         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
992         for p in $$list; do \
993           $(am__strip_dir) \
994           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
995           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
996         done
997
998 clean-pkglibLTLIBRARIES:
999         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
1000         @list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
1001           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
1002           test "$$dir" != "$$p" || dir=.; \
1003           echo "rm -f \"$${dir}/so_locations\""; \
1004           rm -f "$${dir}/so_locations"; \
1005         done
1006 libscixcos-algo.la: $(libscixcos_algo_la_OBJECTS) $(libscixcos_algo_la_DEPENDENCIES) $(EXTRA_libscixcos_algo_la_DEPENDENCIES) 
1007         $(CXXLINK) $(am_libscixcos_algo_la_rpath) $(libscixcos_algo_la_OBJECTS) $(libscixcos_algo_la_LIBADD) $(LIBS)
1008 libscixcos-disable.la: $(libscixcos_disable_la_OBJECTS) $(libscixcos_disable_la_DEPENDENCIES) $(EXTRA_libscixcos_disable_la_DEPENDENCIES) 
1009         $(LINK) -rpath $(pkglibdir) $(libscixcos_disable_la_OBJECTS) $(libscixcos_disable_la_LIBADD) $(LIBS)
1010 libscixcos.la: $(libscixcos_la_OBJECTS) $(libscixcos_la_DEPENDENCIES) $(EXTRA_libscixcos_la_DEPENDENCIES) 
1011         $(CXXLINK) $(am_libscixcos_la_rpath) $(libscixcos_la_OBJECTS) $(libscixcos_la_LIBADD) $(LIBS)
1012
1013 mostlyclean-compile:
1014         -rm -f *.$(OBJEXT)
1015
1016 distclean-compile:
1017         -rm -f *.tab.c
1018
1019 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_algo_la-Modelica.Plo@am__quote@
1020 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_algo_la-Palette.Plo@am__quote@
1021 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_algo_la-Xcos.Plo@am__quote@
1022 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_algo_la-xcosUtilities.Plo@am__quote@
1023 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_disable_la-noxcos.Plo@am__quote@
1024 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_la-gw_xcos.Plo@am__quote@
1025 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_la-sci_Xcos.Plo@am__quote@
1026 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_la-sci_closeXcosFromScilab.Plo@am__quote@
1027 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_la-sci_loadXcos.Plo@am__quote@
1028 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_la-sci_warnBlockByUID.Plo@am__quote@
1029 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_la-sci_xcosAddToolsMenu.Plo@am__quote@
1030 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_la-sci_xcosConfigureXmlFile.Plo@am__quote@
1031 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_la-sci_xcosDiagramToScilab.Plo@am__quote@
1032 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_la-sci_xcosPalCategoryAdd.Plo@am__quote@
1033 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_la-sci_xcosPalDelete.Plo@am__quote@
1034 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_la-sci_xcosPalDisable.Plo@am__quote@
1035 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_la-sci_xcosPalEnable.Plo@am__quote@
1036 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_la-sci_xcosPalGenerateIcon.Plo@am__quote@
1037 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_la-sci_xcosPalLoad.Plo@am__quote@
1038 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_la-sci_xcosPalMove.Plo@am__quote@
1039 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_la-sci_xcosSimulationStarted.Plo@am__quote@
1040 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscixcos_la-sci_xcosUpdateBlock.Plo@am__quote@
1041
1042 .c.o:
1043 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
1044 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
1045 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1046 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1047 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
1048
1049 .c.obj:
1050 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
1051 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
1052 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1053 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1054 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
1055
1056 .c.lo:
1057 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
1058 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
1059 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
1060 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1061 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
1062
1063 libscixcos_disable_la-noxcos.lo: src/noxcos/noxcos.c
1064 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_disable_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscixcos_disable_la-noxcos.lo -MD -MP -MF $(DEPDIR)/libscixcos_disable_la-noxcos.Tpo -c -o libscixcos_disable_la-noxcos.lo `test -f 'src/noxcos/noxcos.c' || echo '$(srcdir)/'`src/noxcos/noxcos.c
1065 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscixcos_disable_la-noxcos.Tpo $(DEPDIR)/libscixcos_disable_la-noxcos.Plo
1066 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/noxcos/noxcos.c' object='libscixcos_disable_la-noxcos.lo' libtool=yes @AMDEPBACKSLASH@
1067 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1068 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_disable_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscixcos_disable_la-noxcos.lo `test -f 'src/noxcos/noxcos.c' || echo '$(srcdir)/'`src/noxcos/noxcos.c
1069
1070 libscixcos_la-gw_xcos.lo: sci_gateway/c/gw_xcos.c
1071 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscixcos_la-gw_xcos.lo -MD -MP -MF $(DEPDIR)/libscixcos_la-gw_xcos.Tpo -c -o libscixcos_la-gw_xcos.lo `test -f 'sci_gateway/c/gw_xcos.c' || echo '$(srcdir)/'`sci_gateway/c/gw_xcos.c
1072 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscixcos_la-gw_xcos.Tpo $(DEPDIR)/libscixcos_la-gw_xcos.Plo
1073 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/gw_xcos.c' object='libscixcos_la-gw_xcos.lo' libtool=yes @AMDEPBACKSLASH@
1074 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1075 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscixcos_la-gw_xcos.lo `test -f 'sci_gateway/c/gw_xcos.c' || echo '$(srcdir)/'`sci_gateway/c/gw_xcos.c
1076
1077 .cpp.o:
1078 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
1079 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
1080 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1081 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1082 @am__fastdepCXX_FALSE@  $(CXXCOMPILE) -c -o $@ $<
1083
1084 .cpp.obj:
1085 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
1086 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
1087 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1088 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1089 @am__fastdepCXX_FALSE@  $(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
1090
1091 .cpp.lo:
1092 @am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
1093 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
1094 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
1095 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1096 @am__fastdepCXX_FALSE@  $(LTCXXCOMPILE) -c -o $@ $<
1097
1098 libscixcos_algo_la-Xcos.lo: src/jni/Xcos.cpp
1099 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_algo_la-Xcos.lo -MD -MP -MF $(DEPDIR)/libscixcos_algo_la-Xcos.Tpo -c -o libscixcos_algo_la-Xcos.lo `test -f 'src/jni/Xcos.cpp' || echo '$(srcdir)/'`src/jni/Xcos.cpp
1100 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_algo_la-Xcos.Tpo $(DEPDIR)/libscixcos_algo_la-Xcos.Plo
1101 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/jni/Xcos.cpp' object='libscixcos_algo_la-Xcos.lo' libtool=yes @AMDEPBACKSLASH@
1102 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1103 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_algo_la-Xcos.lo `test -f 'src/jni/Xcos.cpp' || echo '$(srcdir)/'`src/jni/Xcos.cpp
1104
1105 libscixcos_algo_la-Palette.lo: src/jni/Palette.cpp
1106 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_algo_la-Palette.lo -MD -MP -MF $(DEPDIR)/libscixcos_algo_la-Palette.Tpo -c -o libscixcos_algo_la-Palette.lo `test -f 'src/jni/Palette.cpp' || echo '$(srcdir)/'`src/jni/Palette.cpp
1107 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_algo_la-Palette.Tpo $(DEPDIR)/libscixcos_algo_la-Palette.Plo
1108 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/jni/Palette.cpp' object='libscixcos_algo_la-Palette.lo' libtool=yes @AMDEPBACKSLASH@
1109 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1110 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_algo_la-Palette.lo `test -f 'src/jni/Palette.cpp' || echo '$(srcdir)/'`src/jni/Palette.cpp
1111
1112 libscixcos_algo_la-Modelica.lo: src/jni/Modelica.cpp
1113 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_algo_la-Modelica.lo -MD -MP -MF $(DEPDIR)/libscixcos_algo_la-Modelica.Tpo -c -o libscixcos_algo_la-Modelica.lo `test -f 'src/jni/Modelica.cpp' || echo '$(srcdir)/'`src/jni/Modelica.cpp
1114 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_algo_la-Modelica.Tpo $(DEPDIR)/libscixcos_algo_la-Modelica.Plo
1115 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/jni/Modelica.cpp' object='libscixcos_algo_la-Modelica.lo' libtool=yes @AMDEPBACKSLASH@
1116 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1117 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_algo_la-Modelica.lo `test -f 'src/jni/Modelica.cpp' || echo '$(srcdir)/'`src/jni/Modelica.cpp
1118
1119 libscixcos_algo_la-xcosUtilities.lo: src/cpp/xcosUtilities.cpp
1120 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_algo_la-xcosUtilities.lo -MD -MP -MF $(DEPDIR)/libscixcos_algo_la-xcosUtilities.Tpo -c -o libscixcos_algo_la-xcosUtilities.lo `test -f 'src/cpp/xcosUtilities.cpp' || echo '$(srcdir)/'`src/cpp/xcosUtilities.cpp
1121 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_algo_la-xcosUtilities.Tpo $(DEPDIR)/libscixcos_algo_la-xcosUtilities.Plo
1122 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/xcosUtilities.cpp' object='libscixcos_algo_la-xcosUtilities.lo' libtool=yes @AMDEPBACKSLASH@
1123 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1124 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_algo_la-xcosUtilities.lo `test -f 'src/cpp/xcosUtilities.cpp' || echo '$(srcdir)/'`src/cpp/xcosUtilities.cpp
1125
1126 libscixcos_la-sci_Xcos.lo: sci_gateway/cpp/sci_Xcos.cpp
1127 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_la-sci_Xcos.lo -MD -MP -MF $(DEPDIR)/libscixcos_la-sci_Xcos.Tpo -c -o libscixcos_la-sci_Xcos.lo `test -f 'sci_gateway/cpp/sci_Xcos.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_Xcos.cpp
1128 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_la-sci_Xcos.Tpo $(DEPDIR)/libscixcos_la-sci_Xcos.Plo
1129 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_Xcos.cpp' object='libscixcos_la-sci_Xcos.lo' libtool=yes @AMDEPBACKSLASH@
1130 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1131 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_la-sci_Xcos.lo `test -f 'sci_gateway/cpp/sci_Xcos.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_Xcos.cpp
1132
1133 libscixcos_la-sci_warnBlockByUID.lo: sci_gateway/cpp/sci_warnBlockByUID.cpp
1134 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_la-sci_warnBlockByUID.lo -MD -MP -MF $(DEPDIR)/libscixcos_la-sci_warnBlockByUID.Tpo -c -o libscixcos_la-sci_warnBlockByUID.lo `test -f 'sci_gateway/cpp/sci_warnBlockByUID.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_warnBlockByUID.cpp
1135 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_la-sci_warnBlockByUID.Tpo $(DEPDIR)/libscixcos_la-sci_warnBlockByUID.Plo
1136 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_warnBlockByUID.cpp' object='libscixcos_la-sci_warnBlockByUID.lo' libtool=yes @AMDEPBACKSLASH@
1137 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1138 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_la-sci_warnBlockByUID.lo `test -f 'sci_gateway/cpp/sci_warnBlockByUID.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_warnBlockByUID.cpp
1139
1140 libscixcos_la-sci_closeXcosFromScilab.lo: sci_gateway/cpp/sci_closeXcosFromScilab.cpp
1141 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_la-sci_closeXcosFromScilab.lo -MD -MP -MF $(DEPDIR)/libscixcos_la-sci_closeXcosFromScilab.Tpo -c -o libscixcos_la-sci_closeXcosFromScilab.lo `test -f 'sci_gateway/cpp/sci_closeXcosFromScilab.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_closeXcosFromScilab.cpp
1142 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_la-sci_closeXcosFromScilab.Tpo $(DEPDIR)/libscixcos_la-sci_closeXcosFromScilab.Plo
1143 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_closeXcosFromScilab.cpp' object='libscixcos_la-sci_closeXcosFromScilab.lo' libtool=yes @AMDEPBACKSLASH@
1144 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1145 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_la-sci_closeXcosFromScilab.lo `test -f 'sci_gateway/cpp/sci_closeXcosFromScilab.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_closeXcosFromScilab.cpp
1146
1147 libscixcos_la-sci_xcosDiagramToScilab.lo: sci_gateway/cpp/sci_xcosDiagramToScilab.cpp
1148 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_la-sci_xcosDiagramToScilab.lo -MD -MP -MF $(DEPDIR)/libscixcos_la-sci_xcosDiagramToScilab.Tpo -c -o libscixcos_la-sci_xcosDiagramToScilab.lo `test -f 'sci_gateway/cpp/sci_xcosDiagramToScilab.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosDiagramToScilab.cpp
1149 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_la-sci_xcosDiagramToScilab.Tpo $(DEPDIR)/libscixcos_la-sci_xcosDiagramToScilab.Plo
1150 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_xcosDiagramToScilab.cpp' object='libscixcos_la-sci_xcosDiagramToScilab.lo' libtool=yes @AMDEPBACKSLASH@
1151 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1152 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_la-sci_xcosDiagramToScilab.lo `test -f 'sci_gateway/cpp/sci_xcosDiagramToScilab.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosDiagramToScilab.cpp
1153
1154 libscixcos_la-sci_xcosPalLoad.lo: sci_gateway/cpp/sci_xcosPalLoad.cpp
1155 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_la-sci_xcosPalLoad.lo -MD -MP -MF $(DEPDIR)/libscixcos_la-sci_xcosPalLoad.Tpo -c -o libscixcos_la-sci_xcosPalLoad.lo `test -f 'sci_gateway/cpp/sci_xcosPalLoad.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalLoad.cpp
1156 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_la-sci_xcosPalLoad.Tpo $(DEPDIR)/libscixcos_la-sci_xcosPalLoad.Plo
1157 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_xcosPalLoad.cpp' object='libscixcos_la-sci_xcosPalLoad.lo' libtool=yes @AMDEPBACKSLASH@
1158 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1159 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_la-sci_xcosPalLoad.lo `test -f 'sci_gateway/cpp/sci_xcosPalLoad.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalLoad.cpp
1160
1161 libscixcos_la-sci_xcosPalCategoryAdd.lo: sci_gateway/cpp/sci_xcosPalCategoryAdd.cpp
1162 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_la-sci_xcosPalCategoryAdd.lo -MD -MP -MF $(DEPDIR)/libscixcos_la-sci_xcosPalCategoryAdd.Tpo -c -o libscixcos_la-sci_xcosPalCategoryAdd.lo `test -f 'sci_gateway/cpp/sci_xcosPalCategoryAdd.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalCategoryAdd.cpp
1163 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_la-sci_xcosPalCategoryAdd.Tpo $(DEPDIR)/libscixcos_la-sci_xcosPalCategoryAdd.Plo
1164 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_xcosPalCategoryAdd.cpp' object='libscixcos_la-sci_xcosPalCategoryAdd.lo' libtool=yes @AMDEPBACKSLASH@
1165 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1166 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_la-sci_xcosPalCategoryAdd.lo `test -f 'sci_gateway/cpp/sci_xcosPalCategoryAdd.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalCategoryAdd.cpp
1167
1168 libscixcos_la-sci_xcosPalDelete.lo: sci_gateway/cpp/sci_xcosPalDelete.cpp
1169 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_la-sci_xcosPalDelete.lo -MD -MP -MF $(DEPDIR)/libscixcos_la-sci_xcosPalDelete.Tpo -c -o libscixcos_la-sci_xcosPalDelete.lo `test -f 'sci_gateway/cpp/sci_xcosPalDelete.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalDelete.cpp
1170 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_la-sci_xcosPalDelete.Tpo $(DEPDIR)/libscixcos_la-sci_xcosPalDelete.Plo
1171 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_xcosPalDelete.cpp' object='libscixcos_la-sci_xcosPalDelete.lo' libtool=yes @AMDEPBACKSLASH@
1172 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1173 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_la-sci_xcosPalDelete.lo `test -f 'sci_gateway/cpp/sci_xcosPalDelete.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalDelete.cpp
1174
1175 libscixcos_la-sci_xcosPalMove.lo: sci_gateway/cpp/sci_xcosPalMove.cpp
1176 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_la-sci_xcosPalMove.lo -MD -MP -MF $(DEPDIR)/libscixcos_la-sci_xcosPalMove.Tpo -c -o libscixcos_la-sci_xcosPalMove.lo `test -f 'sci_gateway/cpp/sci_xcosPalMove.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalMove.cpp
1177 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_la-sci_xcosPalMove.Tpo $(DEPDIR)/libscixcos_la-sci_xcosPalMove.Plo
1178 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_xcosPalMove.cpp' object='libscixcos_la-sci_xcosPalMove.lo' libtool=yes @AMDEPBACKSLASH@
1179 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1180 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_la-sci_xcosPalMove.lo `test -f 'sci_gateway/cpp/sci_xcosPalMove.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalMove.cpp
1181
1182 libscixcos_la-sci_xcosPalEnable.lo: sci_gateway/cpp/sci_xcosPalEnable.cpp
1183 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_la-sci_xcosPalEnable.lo -MD -MP -MF $(DEPDIR)/libscixcos_la-sci_xcosPalEnable.Tpo -c -o libscixcos_la-sci_xcosPalEnable.lo `test -f 'sci_gateway/cpp/sci_xcosPalEnable.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalEnable.cpp
1184 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_la-sci_xcosPalEnable.Tpo $(DEPDIR)/libscixcos_la-sci_xcosPalEnable.Plo
1185 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_xcosPalEnable.cpp' object='libscixcos_la-sci_xcosPalEnable.lo' libtool=yes @AMDEPBACKSLASH@
1186 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1187 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_la-sci_xcosPalEnable.lo `test -f 'sci_gateway/cpp/sci_xcosPalEnable.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalEnable.cpp
1188
1189 libscixcos_la-sci_xcosPalDisable.lo: sci_gateway/cpp/sci_xcosPalDisable.cpp
1190 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_la-sci_xcosPalDisable.lo -MD -MP -MF $(DEPDIR)/libscixcos_la-sci_xcosPalDisable.Tpo -c -o libscixcos_la-sci_xcosPalDisable.lo `test -f 'sci_gateway/cpp/sci_xcosPalDisable.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalDisable.cpp
1191 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_la-sci_xcosPalDisable.Tpo $(DEPDIR)/libscixcos_la-sci_xcosPalDisable.Plo
1192 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_xcosPalDisable.cpp' object='libscixcos_la-sci_xcosPalDisable.lo' libtool=yes @AMDEPBACKSLASH@
1193 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1194 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_la-sci_xcosPalDisable.lo `test -f 'sci_gateway/cpp/sci_xcosPalDisable.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalDisable.cpp
1195
1196 libscixcos_la-sci_xcosPalGenerateIcon.lo: sci_gateway/cpp/sci_xcosPalGenerateIcon.cpp
1197 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_la-sci_xcosPalGenerateIcon.lo -MD -MP -MF $(DEPDIR)/libscixcos_la-sci_xcosPalGenerateIcon.Tpo -c -o libscixcos_la-sci_xcosPalGenerateIcon.lo `test -f 'sci_gateway/cpp/sci_xcosPalGenerateIcon.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalGenerateIcon.cpp
1198 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_la-sci_xcosPalGenerateIcon.Tpo $(DEPDIR)/libscixcos_la-sci_xcosPalGenerateIcon.Plo
1199 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_xcosPalGenerateIcon.cpp' object='libscixcos_la-sci_xcosPalGenerateIcon.lo' libtool=yes @AMDEPBACKSLASH@
1200 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1201 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_la-sci_xcosPalGenerateIcon.lo `test -f 'sci_gateway/cpp/sci_xcosPalGenerateIcon.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosPalGenerateIcon.cpp
1202
1203 libscixcos_la-sci_xcosConfigureXmlFile.lo: sci_gateway/cpp/sci_xcosConfigureXmlFile.cpp
1204 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_la-sci_xcosConfigureXmlFile.lo -MD -MP -MF $(DEPDIR)/libscixcos_la-sci_xcosConfigureXmlFile.Tpo -c -o libscixcos_la-sci_xcosConfigureXmlFile.lo `test -f 'sci_gateway/cpp/sci_xcosConfigureXmlFile.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosConfigureXmlFile.cpp
1205 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_la-sci_xcosConfigureXmlFile.Tpo $(DEPDIR)/libscixcos_la-sci_xcosConfigureXmlFile.Plo
1206 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_xcosConfigureXmlFile.cpp' object='libscixcos_la-sci_xcosConfigureXmlFile.lo' libtool=yes @AMDEPBACKSLASH@
1207 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1208 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_la-sci_xcosConfigureXmlFile.lo `test -f 'sci_gateway/cpp/sci_xcosConfigureXmlFile.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosConfigureXmlFile.cpp
1209
1210 libscixcos_la-sci_xcosAddToolsMenu.lo: sci_gateway/cpp/sci_xcosAddToolsMenu.cpp
1211 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_la-sci_xcosAddToolsMenu.lo -MD -MP -MF $(DEPDIR)/libscixcos_la-sci_xcosAddToolsMenu.Tpo -c -o libscixcos_la-sci_xcosAddToolsMenu.lo `test -f 'sci_gateway/cpp/sci_xcosAddToolsMenu.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosAddToolsMenu.cpp
1212 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_la-sci_xcosAddToolsMenu.Tpo $(DEPDIR)/libscixcos_la-sci_xcosAddToolsMenu.Plo
1213 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_xcosAddToolsMenu.cpp' object='libscixcos_la-sci_xcosAddToolsMenu.lo' libtool=yes @AMDEPBACKSLASH@
1214 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1215 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_la-sci_xcosAddToolsMenu.lo `test -f 'sci_gateway/cpp/sci_xcosAddToolsMenu.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosAddToolsMenu.cpp
1216
1217 libscixcos_la-sci_xcosUpdateBlock.lo: sci_gateway/cpp/sci_xcosUpdateBlock.cpp
1218 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_la-sci_xcosUpdateBlock.lo -MD -MP -MF $(DEPDIR)/libscixcos_la-sci_xcosUpdateBlock.Tpo -c -o libscixcos_la-sci_xcosUpdateBlock.lo `test -f 'sci_gateway/cpp/sci_xcosUpdateBlock.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosUpdateBlock.cpp
1219 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_la-sci_xcosUpdateBlock.Tpo $(DEPDIR)/libscixcos_la-sci_xcosUpdateBlock.Plo
1220 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_xcosUpdateBlock.cpp' object='libscixcos_la-sci_xcosUpdateBlock.lo' libtool=yes @AMDEPBACKSLASH@
1221 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1222 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_la-sci_xcosUpdateBlock.lo `test -f 'sci_gateway/cpp/sci_xcosUpdateBlock.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosUpdateBlock.cpp
1223
1224 libscixcos_la-sci_loadXcos.lo: sci_gateway/cpp/sci_loadXcos.cpp
1225 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_la-sci_loadXcos.lo -MD -MP -MF $(DEPDIR)/libscixcos_la-sci_loadXcos.Tpo -c -o libscixcos_la-sci_loadXcos.lo `test -f 'sci_gateway/cpp/sci_loadXcos.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_loadXcos.cpp
1226 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_la-sci_loadXcos.Tpo $(DEPDIR)/libscixcos_la-sci_loadXcos.Plo
1227 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_loadXcos.cpp' object='libscixcos_la-sci_loadXcos.lo' libtool=yes @AMDEPBACKSLASH@
1228 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1229 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_la-sci_loadXcos.lo `test -f 'sci_gateway/cpp/sci_loadXcos.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_loadXcos.cpp
1230
1231 libscixcos_la-sci_xcosSimulationStarted.lo: sci_gateway/cpp/sci_xcosSimulationStarted.cpp
1232 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscixcos_la-sci_xcosSimulationStarted.lo -MD -MP -MF $(DEPDIR)/libscixcos_la-sci_xcosSimulationStarted.Tpo -c -o libscixcos_la-sci_xcosSimulationStarted.lo `test -f 'sci_gateway/cpp/sci_xcosSimulationStarted.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosSimulationStarted.cpp
1233 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscixcos_la-sci_xcosSimulationStarted.Tpo $(DEPDIR)/libscixcos_la-sci_xcosSimulationStarted.Plo
1234 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_xcosSimulationStarted.cpp' object='libscixcos_la-sci_xcosSimulationStarted.lo' libtool=yes @AMDEPBACKSLASH@
1235 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1236 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscixcos_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscixcos_la-sci_xcosSimulationStarted.lo `test -f 'sci_gateway/cpp/sci_xcosSimulationStarted.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_xcosSimulationStarted.cpp
1237
1238 mostlyclean-libtool:
1239         -rm -f *.lo
1240
1241 clean-libtool:
1242         -rm -rf .libs _libs
1243 install-libscixcos_la_etcDATA: $(libscixcos_la_etc_DATA)
1244         @$(NORMAL_INSTALL)
1245         @list='$(libscixcos_la_etc_DATA)'; test -n "$(libscixcos_la_etcdir)" || list=; \
1246         if test -n "$$list"; then \
1247           echo " $(MKDIR_P) '$(DESTDIR)$(libscixcos_la_etcdir)'"; \
1248           $(MKDIR_P) "$(DESTDIR)$(libscixcos_la_etcdir)" || exit 1; \
1249         fi; \
1250         for p in $$list; do \
1251           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1252           echo "$$d$$p"; \
1253         done | $(am__base_list) | \
1254         while read files; do \
1255           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscixcos_la_etcdir)'"; \
1256           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscixcos_la_etcdir)" || exit $$?; \
1257         done
1258
1259 uninstall-libscixcos_la_etcDATA:
1260         @$(NORMAL_UNINSTALL)
1261         @list='$(libscixcos_la_etc_DATA)'; test -n "$(libscixcos_la_etcdir)" || list=; \
1262         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1263         dir='$(DESTDIR)$(libscixcos_la_etcdir)'; $(am__uninstall_files_from_dir)
1264 install-libscixcos_la_rootDATA: $(libscixcos_la_root_DATA)
1265         @$(NORMAL_INSTALL)
1266         @list='$(libscixcos_la_root_DATA)'; test -n "$(libscixcos_la_rootdir)" || list=; \
1267         if test -n "$$list"; then \
1268           echo " $(MKDIR_P) '$(DESTDIR)$(libscixcos_la_rootdir)'"; \
1269           $(MKDIR_P) "$(DESTDIR)$(libscixcos_la_rootdir)" || exit 1; \
1270         fi; \
1271         for p in $$list; do \
1272           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1273           echo "$$d$$p"; \
1274         done | $(am__base_list) | \
1275         while read files; do \
1276           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscixcos_la_rootdir)'"; \
1277           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscixcos_la_rootdir)" || exit $$?; \
1278         done
1279
1280 uninstall-libscixcos_la_rootDATA:
1281         @$(NORMAL_UNINSTALL)
1282         @list='$(libscixcos_la_root_DATA)'; test -n "$(libscixcos_la_rootdir)" || list=; \
1283         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1284         dir='$(DESTDIR)$(libscixcos_la_rootdir)'; $(am__uninstall_files_from_dir)
1285 install-libscixcos_la_sci_gatewayDATA: $(libscixcos_la_sci_gateway_DATA)
1286         @$(NORMAL_INSTALL)
1287         @list='$(libscixcos_la_sci_gateway_DATA)'; test -n "$(libscixcos_la_sci_gatewaydir)" || list=; \
1288         if test -n "$$list"; then \
1289           echo " $(MKDIR_P) '$(DESTDIR)$(libscixcos_la_sci_gatewaydir)'"; \
1290           $(MKDIR_P) "$(DESTDIR)$(libscixcos_la_sci_gatewaydir)" || exit 1; \
1291         fi; \
1292         for p in $$list; do \
1293           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1294           echo "$$d$$p"; \
1295         done | $(am__base_list) | \
1296         while read files; do \
1297           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscixcos_la_sci_gatewaydir)'"; \
1298           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscixcos_la_sci_gatewaydir)" || exit $$?; \
1299         done
1300
1301 uninstall-libscixcos_la_sci_gatewayDATA:
1302         @$(NORMAL_UNINSTALL)
1303         @list='$(libscixcos_la_sci_gateway_DATA)'; test -n "$(libscixcos_la_sci_gatewaydir)" || list=; \
1304         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1305         dir='$(DESTDIR)$(libscixcos_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
1306 install-nobase_libscixcos_la_imagesDATA: $(nobase_libscixcos_la_images_DATA)
1307         @$(NORMAL_INSTALL)
1308         @list='$(nobase_libscixcos_la_images_DATA)'; test -n "$(libscixcos_la_imagesdir)" || list=; \
1309         if test -n "$$list"; then \
1310           echo " $(MKDIR_P) '$(DESTDIR)$(libscixcos_la_imagesdir)'"; \
1311           $(MKDIR_P) "$(DESTDIR)$(libscixcos_la_imagesdir)" || exit 1; \
1312         fi; \
1313         $(am__nobase_list) | while read dir files; do \
1314           xfiles=; for file in $$files; do \
1315             if test -f "$$file"; then xfiles="$$xfiles $$file"; \
1316             else xfiles="$$xfiles $(srcdir)/$$file"; fi; done; \
1317           test -z "$$xfiles" || { \
1318             test "x$$dir" = x. || { \
1319               echo " $(MKDIR_P) '$(DESTDIR)$(libscixcos_la_imagesdir)/$$dir'"; \
1320               $(MKDIR_P) "$(DESTDIR)$(libscixcos_la_imagesdir)/$$dir"; }; \
1321             echo " $(INSTALL_DATA) $$xfiles '$(DESTDIR)$(libscixcos_la_imagesdir)/$$dir'"; \
1322             $(INSTALL_DATA) $$xfiles "$(DESTDIR)$(libscixcos_la_imagesdir)/$$dir" || exit $$?; }; \
1323         done
1324
1325 uninstall-nobase_libscixcos_la_imagesDATA:
1326         @$(NORMAL_UNINSTALL)
1327         @list='$(nobase_libscixcos_la_images_DATA)'; test -n "$(libscixcos_la_imagesdir)" || list=; \
1328         $(am__nobase_strip_setup); files=`$(am__nobase_strip)`; \
1329         dir='$(DESTDIR)$(libscixcos_la_imagesdir)'; $(am__uninstall_files_from_dir)
1330
1331 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
1332         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
1333         unique=`for i in $$list; do \
1334             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1335           done | \
1336           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
1337               END { if (nonempty) { for (i in files) print i; }; }'`; \
1338         mkid -fID $$unique
1339 tags: TAGS
1340
1341 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
1342                 $(TAGS_FILES) $(LISP)
1343         set x; \
1344         here=`pwd`; \
1345         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
1346         unique=`for i in $$list; do \
1347             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1348           done | \
1349           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
1350               END { if (nonempty) { for (i in files) print i; }; }'`; \
1351         shift; \
1352         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1353           test -n "$$unique" || unique=$$empty_fix; \
1354           if test $$# -gt 0; then \
1355             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1356               "$$@" $$unique; \
1357           else \
1358             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1359               $$unique; \
1360           fi; \
1361         fi
1362 ctags: CTAGS
1363 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
1364                 $(TAGS_FILES) $(LISP)
1365         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
1366         unique=`for i in $$list; do \
1367             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1368           done | \
1369           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
1370               END { if (nonempty) { for (i in files) print i; }; }'`; \
1371         test -z "$(CTAGS_ARGS)$$unique" \
1372           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1373              $$unique
1374
1375 GTAGS:
1376         here=`$(am__cd) $(top_builddir) && pwd` \
1377           && $(am__cd) $(top_srcdir) \
1378           && gtags -i $(GTAGS_ARGS) "$$here"
1379
1380 distclean-tags:
1381         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1382
1383 distdir: $(DISTFILES)
1384         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1385         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1386         list='$(DISTFILES)'; \
1387           dist_files=`for file in $$list; do echo $$file; done | \
1388           sed -e "s|^$$srcdirstrip/||;t" \
1389               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1390         case $$dist_files in \
1391           */*) $(MKDIR_P) `echo "$$dist_files" | \
1392                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1393                            sort -u` ;; \
1394         esac; \
1395         for file in $$dist_files; do \
1396           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1397           if test -d $$d/$$file; then \
1398             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1399             if test -d "$(distdir)/$$file"; then \
1400               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1401             fi; \
1402             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1403               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1404               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1405             fi; \
1406             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1407           else \
1408             test -f "$(distdir)/$$file" \
1409             || cp -p $$d/$$file "$(distdir)/$$file" \
1410             || exit 1; \
1411           fi; \
1412         done
1413 check-am: all-am
1414         $(MAKE) $(AM_MAKEFLAGS) check-local
1415 check: $(BUILT_SOURCES)
1416         $(MAKE) $(AM_MAKEFLAGS) check-am
1417 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
1418 installdirs:
1419         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libscixcos_la_etcdir)" "$(DESTDIR)$(libscixcos_la_rootdir)" "$(DESTDIR)$(libscixcos_la_sci_gatewaydir)" "$(DESTDIR)$(libscixcos_la_imagesdir)"; do \
1420           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1421         done
1422 install: $(BUILT_SOURCES)
1423         $(MAKE) $(AM_MAKEFLAGS) install-am
1424 install-exec: install-exec-am
1425 install-data: install-data-am
1426 uninstall: uninstall-am
1427
1428 install-am: all-am
1429         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1430
1431 installcheck: installcheck-am
1432 install-strip:
1433         if test -z '$(STRIP)'; then \
1434           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1435             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1436               install; \
1437         else \
1438           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1439             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1440             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1441         fi
1442 mostlyclean-generic:
1443
1444 clean-generic:
1445
1446 distclean-generic:
1447         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1448         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1449
1450 maintainer-clean-generic:
1451         @echo "This command is intended for maintainers to use"
1452         @echo "it deletes files that may require special tools to rebuild."
1453         -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
1454 clean: clean-am
1455
1456 clean-am: clean-generic clean-libtool clean-local \
1457         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1458
1459 distclean: distclean-am
1460         -rm -rf ./$(DEPDIR)
1461         -rm -f Makefile
1462 distclean-am: clean-am distclean-compile distclean-generic \
1463         distclean-local distclean-tags
1464
1465 dvi: dvi-am
1466
1467 dvi-am:
1468
1469 html: html-am
1470
1471 html-am:
1472
1473 info: info-am
1474
1475 info-am:
1476
1477 install-data-am: install-data-local install-libscixcos_la_etcDATA \
1478         install-libscixcos_la_rootDATA \
1479         install-libscixcos_la_sci_gatewayDATA \
1480         install-nobase_libscixcos_la_imagesDATA
1481
1482 install-dvi: install-dvi-am
1483
1484 install-dvi-am:
1485
1486 install-exec-am: install-pkglibLTLIBRARIES
1487
1488 install-html: install-html-am
1489
1490 install-html-am: install-html-local
1491
1492 install-info: install-info-am
1493
1494 install-info-am:
1495
1496 install-man:
1497
1498 install-pdf: install-pdf-am
1499
1500 install-pdf-am:
1501
1502 install-ps: install-ps-am
1503
1504 install-ps-am:
1505
1506 installcheck-am:
1507
1508 maintainer-clean: maintainer-clean-am
1509         -rm -rf ./$(DEPDIR)
1510         -rm -f Makefile
1511 maintainer-clean-am: distclean-am maintainer-clean-generic
1512
1513 mostlyclean: mostlyclean-am
1514
1515 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1516         mostlyclean-libtool
1517
1518 pdf: pdf-am
1519
1520 pdf-am:
1521
1522 ps: ps-am
1523
1524 ps-am:
1525
1526 uninstall-am: uninstall-libscixcos_la_etcDATA \
1527         uninstall-libscixcos_la_rootDATA \
1528         uninstall-libscixcos_la_sci_gatewayDATA \
1529         uninstall-nobase_libscixcos_la_imagesDATA \
1530         uninstall-pkglibLTLIBRARIES
1531
1532 .MAKE: all check check-am install install-am install-strip
1533
1534 .PHONY: CTAGS GTAGS all all-am all-local check check-am check-local \
1535         clean clean-generic clean-libtool clean-local \
1536         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES ctags \
1537         distclean distclean-compile distclean-generic \
1538         distclean-libtool distclean-local distclean-tags distdir dvi \
1539         dvi-am html html-am info info-am install install-am \
1540         install-data install-data-am install-data-local install-dvi \
1541         install-dvi-am install-exec install-exec-am install-html \
1542         install-html-am install-html-local install-info \
1543         install-info-am install-libscixcos_la_etcDATA \
1544         install-libscixcos_la_rootDATA \
1545         install-libscixcos_la_sci_gatewayDATA install-man \
1546         install-nobase_libscixcos_la_imagesDATA install-pdf \
1547         install-pdf-am install-pkglibLTLIBRARIES install-ps \
1548         install-ps-am install-strip installcheck installcheck-am \
1549         installdirs maintainer-clean maintainer-clean-generic \
1550         mostlyclean mostlyclean-compile mostlyclean-generic \
1551         mostlyclean-libtool pdf pdf-am ps ps-am tags uninstall \
1552         uninstall-am uninstall-libscixcos_la_etcDATA \
1553         uninstall-libscixcos_la_rootDATA \
1554         uninstall-libscixcos_la_sci_gatewayDATA \
1555         uninstall-nobase_libscixcos_la_imagesDATA \
1556         uninstall-pkglibLTLIBRARIES
1557
1558
1559 # This target enables tests for Scilab
1560 check-local: $(top_builddir)/scilab-bin test
1561         if test -d $(mydatadir)/tests; then \
1562           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1563         fi
1564 check-code:
1565         if test -f build.xml; then \
1566                 $(ANT) checkstyle; \
1567         fi
1568         if test -x "$(SPLINT)"; then \
1569                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1570         fi
1571 @NEED_JAVA_TRUE@java:
1572 # Some configurations needs to export JAVA_HOME in the current env
1573 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1574 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1575 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1576 @NEED_JAVA_TRUE@                $(ANT); \
1577 @NEED_JAVA_TRUE@        fi
1578
1579 @NEED_JAVA_TRUE@clean-java:
1580 # Some configurations needs to export JAVA_HOME in the current env
1581 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1582 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1583 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1584 @NEED_JAVA_TRUE@                $(ANT) clean; \
1585 @NEED_JAVA_TRUE@        fi;
1586
1587 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1588 # We call the target swig-build on the variable SWIG_WRAPPERS
1589
1590 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1591 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1592 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1593 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1594 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1595 @SWIG_TRUE@                     echo "Swig process of $$file ..."; \
1596 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1597 @SWIG_TRUE@             done; \
1598 @SWIG_TRUE@     fi
1599
1600 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1601 # We call the target swig-build on the variable SWIG_WRAPPERS
1602
1603 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1604 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1605 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1606 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1607 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1608 @GIWS_TRUE@                     $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
1609 @GIWS_TRUE@             done; \
1610 @GIWS_TRUE@     fi
1611
1612 @GIWS_TRUE@giws-exception:
1613 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1614 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1615 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1616
1617 macros:
1618         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1619                 echo "Error : Cannot build $< : Scilab has not been built"; \
1620         else \
1621                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1622         fi)
1623
1624 # Removes the macros
1625 clean-macros:
1626 # Removes macros (*.bin generated from .sci)
1627         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1628                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1629                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1630         done
1631
1632 test:
1633 # More tests could be added here
1634         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1635         if test -f build.xml -a $$USEANT -eq 1; then \
1636                 $(ANT) test; \
1637         fi
1638
1639 all-local: $(TARGETS_ALL)
1640
1641 .sci.bin:
1642         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1643         echo "Error : Cannot build $< : Scilab has not been build"; \
1644         else \
1645         echo "Creating $@"; \
1646         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1647         fi )
1648
1649 install-html-local:
1650
1651 install-data-local-local:
1652 # Mainly for javasci
1653         @if test -d $(srcdir)/javadoc; then \
1654                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1655         fi
1656 # If the user wants the help sources to be installed
1657 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1658 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1659 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1660 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1661 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1662 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1663 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1664 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1665 @INSTALL_HELP_XML_TRUE@           done ; \
1666 @INSTALL_HELP_XML_TRUE@         fi; \
1667 @INSTALL_HELP_XML_TRUE@  fi; \
1668 @INSTALL_HELP_XML_TRUE@ done; \
1669 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1670 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1671 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1672 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1673 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1674 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1675 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1676 @INSTALL_HELP_XML_TRUE@           done ; \
1677 @INSTALL_HELP_XML_TRUE@         fi; \
1678 @INSTALL_HELP_XML_TRUE@ fi
1679 install-data-local:
1680 # Install the tests
1681         @echo "-------- Install tests (if any) --------"; \
1682         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1683           if test -d $(srcdir)/$$dir/; then \
1684             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1685                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1686                     if test -d "$(srcdir)/$$dir/$$file"; then \
1687                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1688                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1689                     else \
1690                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1691                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1692                     fi \
1693                   done; \
1694           fi; \
1695         done
1696 # Install the help chapter
1697         @echo "-------- Install the help chapter (if any) --------"; \
1698         for lang in $(HELP_CHAPTERLANG); do \
1699                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1700                 if test -f $$HELPFILE; then \
1701                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1702                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1703                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1704                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1705                 fi; \
1706         done
1707 # Install the demos & examples
1708         @echo "-------- Install demos & examples (if any) --------"; \
1709         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1710           if test -d $(srcdir)/$$dir/; then \
1711             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1712                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1713                     if test -d "$(srcdir)/$$dir/$$file"; then \
1714                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1715                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1716                     else \
1717                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1718                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1719                     fi \
1720                   done; \
1721           fi; \
1722         done
1723 # Install the macros
1724         @echo "-------- Install macros (if any) --------"; \
1725         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1726           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1727                 if test -d $(srcdir)/$$dir/; then \
1728                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1729                         if test -n "$(MACROSSPECIALEXT)"; then \
1730                                 specialExtDir=""; \
1731                                 for specialExt in $(MACROSSPECIALEXT); do \
1732                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1733                                 done; \
1734                                 FILELIST="$$FILELIST $$specialExtDir"; \
1735                         fi; \
1736                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1737                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1738                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1739                   done; \
1740                 fi; \
1741         done
1742 # Install java files (.jar)
1743         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1744         echo "-------- Install jar files --------"; \
1745     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1746           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1747                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1748                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1749           done ; \
1750         fi
1751
1752 ########### CLEAN ###################
1753 # Clean help (generated automatically by Scilab)
1754 # It used to clean the macro (clean-macros) but this was causing
1755 # make clean && make to fail Scilab startup
1756 @NEED_JAVA_TRUE@clean-local: clean-java
1757 @NEED_JAVA_FALSE@clean-local:
1758
1759 distclean-local:
1760         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1761
1762 .PHONY: macros java swig giws
1763
1764 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1765 # Otherwise a system limit (for SysV at least) may be exceeded.
1766 .NOEXPORT: